<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Termine;

abstract class TermineController extends \Kufer\KuferTools\Basis\Controller\AjaxToolController
{
  protected function getRequestObj()
  {
    $requestObj = new TermineRequest();
    $requestObj->knr = \GetOperations::getVarValue('knr');

    return $requestObj;
  }

  protected function getPresenter($pUseCaseResponse)
  {
    return new TerminePresenter($pUseCaseResponse);
  }
}